Skip to main content
`Ctrl`+`K`

# VecCompGetSubVecs

Returns the entire array of vectors defining a compound vector.

## Synopsis

    #include "slepcvec.h"
    PetscErrorCode VecCompGetSubVecs(Vec win,PetscInt *n,const Vec *x[])

Collective

## Input Parameter

- win - compound vector

## Output Parameters

- n - number of child vectors

- x - array of child vectors

## See Also

`VecCreateComp()`

## Level

developer

## Location

src/sys/vec/veccomp.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages